Public Member Functions

# wxMaximizeEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxMaximizeEvent:
[legend]

## Detailed Description

An event being sent when a top level window is maximized.

Notice that it is not sent when the window is restored to its original size after it had been maximized, only a normal wxSizeEvent is generated in this case.

Currently this event is only generated in wxMSW, wxGTK, wxOSX/Cocoa and wxOS2 ports so portable programs should only rely on receiving `wxEVT_SIZE` and not necessarily this event when the window is maximized.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxMaximizeEvent& event)

Event macros:

- EVT_MAXIMIZE(func):
  Process a `wxEVT_MAXIMIZE` event.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling, wxTopLevelWindow::Maximize, wxTopLevelWindow::IsMaximized

## Public Member Functions
| wxMaximizeEvent (int id=0)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxMaximizeEvent::wxMaximizeEvent | ( | int | id = `0` | ) |

Constructor.

Only used by wxWidgets internally.

|  | [ top ]